const rootDirectory = `${__dirname}/..`;
const logger = require(rootDirectory + '/common/logger.js');
const express = require('express');
const packageConfig = require(rootDirectory + '/package.json').config;

function launcher() {
    const app = express();
    logger.debug('express', `Express started on localhost:${packageConfig.port}`);

    var publicRouter = require('./routes/public.js');

    app.set('views', `${__dirname}/views`);
    app.set('view engine', 'ejs');
    app.use(express.static(`${rootDirectory}/style`));
    app.use('/', publicRouter);

    app.listen(packageConfig.port, () => {
        logger.info('express', `Express listening on port ${packageConfig.port}`);
    });
}

launcher();
